; vga_text_font.inc - font for generating VGA text - converted to code
; generated from vga_text_font.fon, last generation 2009.01.11

SYSTEM:
  .equ IVON = 0x00
  .equ IVOFF = 0x01
  .equ ULON = 0x02
  .equ ULOFF = 0x03
  .equ COL1 = 0x04
  .equ COL2 = 0x05
  .equ COL3 = 0x06
  ; system invert/reverse on 0x00
  ; system invert/reverse off 0x01
  ; system underline on 0x02
  ; system underline off 0x03
  ; system alternate colour 1 0x04
  ; system alternate colour 2 0x05
  ; system alternate colour 3 0x06
  ; system unused 0x07
  ; system unused 0x08
  ; system unused 0x09
  ; system unused 0x0A
  ; system unused 0x0B
  ; system unused 0x0C
  ; system unused 0x0D
  ; system unused 0x0E
  ; system unused 0x0F
BLOCKGRAPHIC:
  .equ BG0000 = 0x10
  .equ BG0001 = 0x11
  .equ BG0010 = 0x12
  .equ BG0011 = 0x13
  .equ BG0100 = 0x14
  .equ BG0101 = 0x15
  .equ BG0110 = 0x16
  .equ BG0111 = 0x17
  .equ BG1000 = 0x18
  .equ BG1001 = 0x19
  .equ BG1010 = 0x1A
  .equ BG1011 = 0x1B
  .equ BG1100 = 0x1C
  .equ BG1101 = 0x1D
  .equ BG1110 = 0x1E
  .equ BG1111 = 0x1F
  ; block graphic 00/00 0x10
  ; block graphic 00/01 0x11
  ; block graphic 00/10 0x12
  ; block graphic 00/11 0x13
  ; block graphic 01/00 0x14
  ; block graphic 01/01 0x15
  ; block graphic 01/10 0x16
  ; block graphic 01/11 0x17
  ; block graphic 10/00 0x18
  ; block graphic 10/01 0x19
  ; block graphic 10/10 0x1A
  ; block graphic 10/11 0x1B
  ; block graphic 11/00 0x1C
  ; block graphic 11/01 0x1D
  ; block graphic 11/10 0x1E
  ; block graphic 11/11 0x1F
ASCII:
  ; ASCII " " 0x20
  ; ASCII "!" 0x21
  ; ASCII """ 0x22
  ; ASCII "
  ; ASCII "$" 0x24
  ; ASCII "%" 0x25
  ; ASCII "&" 0x26
  ; ASCII "'" 0x27
  ; ASCII "(" 0x28
  ; ASCII ")" 0x29
  ; ASCII "*" 0x2A
  ; ASCII "+" 0x2B
  ; ASCII "," 0x2C
  ; ASCII "-" 0x2D
  ; ASCII "." 0x2E
  ; ASCII "/" 0x2F
  ; ASCII "0" 0x30
  ; ASCII "1" 0x31
  ; ASCII "2" 0x32
  ; ASCII "3" 0x33
  ; ASCII "4" 0x34
  ; ASCII "5" 0x35
  ; ASCII "6" 0x36
  ; ASCII "7" 0x37
  ; ASCII "8" 0x38
  ; ASCII "9" 0x39
  ; ASCII ":" 0x3A
  ; ASCII ";" 0x3B
  ; ASCII "<" 0x3C
  ; ASCII "=" 0x3D
  ; ASCII ">" 0x3E
  ; ASCII "?" 0x3F
  ; ASCII "@" 0x40
  ; ASCII "A" 0x41
  ; ASCII "B" 0x42
  ; ASCII "C" 0x43
  ; ASCII "D" 0x44
  ; ASCII "E" 0x45
  ; ASCII "F" 0x46
  ; ASCII "G" 0x47
  ; ASCII "H" 0x48
  ; ASCII "I" 0x49
  ; ASCII "J" 0x4A
  ; ASCII "K" 0x4B
  ; ASCII "L" 0x4C
  ; ASCII "M" 0x4D
  ; ASCII "N" 0x4E
  ; ASCII "O" 0x4F
  ; ASCII "P" 0x50
  ; ASCII "Q" 0x51
  ; ASCII "R" 0x52
  ; ASCII "S" 0x53
  ; ASCII "T" 0x54
  ; ASCII "U" 0x55
  ; ASCII "V" 0x56
  ; ASCII "W" 0x57
  ; ASCII "X" 0x58
  ; ASCII "Y" 0x59
  ; ASCII "Z" 0x5A
  ; ASCII "[" 0x5B
  ; ASCII "" 0x5C
  ; ASCII "]" 0x5D
  ; ASCII "^" 0x5E
  ; ASCII "_" 0x5F
  ; ASCII "`" 0x60
  ; ASCII "a" 0x61
  ; ASCII "b" 0x62
  ; ASCII "c" 0x63
  ; ASCII "d" 0x64
  ; ASCII "e" 0x65
  ; ASCII "f" 0x66
  ; ASCII "g" 0x67
  ; ASCII "h" 0x68
  ; ASCII "i" 0x69
  ; ASCII "j" 0x6A
  ; ASCII "k" 0x6B
  ; ASCII "l" 0x6C
  ; ASCII "m" 0x6D
  ; ASCII "n" 0x6E
  ; ASCII "o" 0x6F
  ; ASCII "p" 0x70
  ; ASCII "q" 0x71
  ; ASCII "r" 0x72
  ; ASCII "s" 0x73
  ; ASCII "t" 0x74
  ; ASCII "u" 0x75
  ; ASCII "v" 0x76
  ; ASCII "w" 0x77
  ; ASCII "x" 0x78
  ; ASCII "y" 0x79
  ; ASCII "z" 0x7A
  ; ASCII "{" 0x7B
  ; ASCII "|" 0x7C
  ; ASCII "}" 0x7D
  ; ASCII "~" 0x7E
SYSABORT:
  .equ ABORT = 0x7F
  ; system abort 0x7F
FRAMESQUARE:
  .equ FS0000 = 0x80
  .equ FS0001 = 0x81
  .equ FS0010 = 0x82
  .equ FS0011 = 0x83
  .equ FS0100 = 0x84
  .equ FS0101 = 0x85
  .equ FS0110 = 0x86
  .equ FS0111 = 0x87
  .equ FS1000 = 0x88
  .equ FS1001 = 0x89
  .equ FS1010 = 0x8A
  .equ FS1011 = 0x8B
  .equ FS1100 = 0x8C
  .equ FS1101 = 0x8D
  .equ FS1110 = 0x8E
  .equ FS1111 = 0x8F
  ; frame square element 0/00/0 0x80
  ; frame square element 0/00/1 0x81
  ; frame square element 0/01/0 0x82
  ; frame square element 0/01/1 0x83
  ; frame square element 0/10/0 0x84
  ; frame square element 0/10/1 0x85
  ; frame square element 0/11/0 0x86
  ; frame square element 0/11/1 0x87
  ; frame square element 1/00/0 0x88
  ; frame square element 1/00/1 0x89
  ; frame square element 1/01/0 0x8A
  ; frame square element 1/01/1 0x8B
  ; frame square element 1/10/0 0x8C
  ; frame square element 1/10/1 0x8D
  ; frame square element 1/11/0 0x8E
  ; frame square element 1/11/1 0x8F
FRAMEROUND:
  .equ FR0000 = 0x90
  .equ FR0001 = 0x91
  .equ FR0010 = 0x92
  .equ FR0011 = 0x93
  .equ FR0100 = 0x94
  .equ FR0101 = 0x95
  .equ FR0110 = 0x96
  .equ FR0111 = 0x97
  .equ FR1000 = 0x98
  .equ FR1001 = 0x99
  .equ FR1010 = 0x9A
  .equ FR1011 = 0x9B
  .equ FR1100 = 0x9C
  .equ FR1101 = 0x9D
  .equ FR1110 = 0x9E
  .equ FR1111 = 0x9F
  ; frame round element 0/00/0 0x90
  ; frame round element 0/00/1 0x91
  ; frame round element 0/01/0 0x92
  ; frame round element 0/01/1 0x93
  ; frame round element 0/10/0 0x94
  ; frame round element 0/10/1 0x95
  ; frame round element 0/11/0 0x96
  ; frame round element 0/11/1 0x97
  ; frame round element 1/00/0 0x98
  ; frame round element 1/00/1 0x99
  ; frame round element 1/01/0 0x9A
  ; frame round element 1/01/1 0x9B
  ; frame round element 1/10/0 0x9C
  ; frame round element 1/10/1 0x9D
  ; frame round element 1/11/0 0x9E
  ; frame round element 1/11/1 0x9F
BARGRAPHIC:
  .equ BR00 = 0xA0
  .equ BR01 = 0xA1
  .equ BR02 = 0xA2
  .equ BR03 = 0xA3
  .equ BR04 = 0xA4
  .equ BR05 = 0xA5
  .equ BR06 = 0xA6
  .equ BR07 = 0xA7
  .equ BR08 = 0xA8
  .equ BR18 = 0xA9
  .equ BR28 = 0xAA
  .equ BR38 = 0xAB
  .equ BR48 = 0xAC
  .equ BR58 = 0xAD
  .equ BR68 = 0xAE
  .equ BR78 = 0xAF
  ; bar graph 0-0 0xA0
  ; bar graph 0-1 0xA1
  ; bar graph 0-2 0xA2
  ; bar graph 0-3 0xA3
  ; bar graph 0-4 0xA4
  ; bar graph 0-5 0xA5
  ; bar graph 0-6 0xA6
  ; bar graph 0-7 0xA7
  ; bar graph 0-8 0xA8
  ; bar graph 1-8 0xA9
  ; bar graph 2-8 0xAA
  ; bar graph 3-8 0xAB
  ; bar graph 4-8 0xAC
  ; bar graph 5-8 0xAD
  ; bar graph 6-8 0xAE
  ; bar graph 7-8 0xAF
LINECORNER:
  .equ HL0 = 0xB0
  .equ HL1 = 0xB1
  .equ HL2 = 0xB2
  .equ HL3 = 0xB3
  .equ VL0 = 0xB4
  .equ VL1 = 0xB5
  .equ VL2 = 0xB6
  .equ VL3 = 0xB7
  .equ CRTL = 0xB8
  .equ CRTR = 0xB9
  .equ CRBL = 0xBA
  .equ CRBR = 0xBB
  .equ TRTL = 0xBC
  .equ TRTR = 0xBD
  .equ TRBL = 0xBE
  .equ TRBR = 0xBF
  ; horizontal line 0 0xB0
  ; horizontal line 1 0xB1
  ; horizontal line 2 0xB2
  ; horizontal line 3 0xB3
  ; vertical line 0 0xB4
  ; vertical line 1 0xB5
  ; vertical line 2 0xB6
  ; vertical line 3 0xB7
  ; corner top/left 0xB8
  ; corner top/right 0xB9
  ; corner bottom/left 0xBA
  ; corner bottom/right 0xBB
  ; triangle top/left 0xBC
  ; triangle top/right 0xBD
  ; triangle bottom/left 0xBE
  ; triangle bottom/right 0xBF
; segment 0
  .db low(SEGM0FXB), low(SEGM1BXF),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0FX1), low(SEGM0FX2),  low(SEGM0FX3), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0011), low(SEGM0011),  low(SEGM0011), low(SEGM0011)
  .db low(SEGM1100), low(SEGM1100),  low(SEGM1100), low(SEGM1100)
  .db low(SEGM1111), low(SEGM1111),  low(SEGM1111), low(SEGM1111)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGMABRT)

; segment 1
  .db low(SEGM0FXB), low(SEGM1BXF),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0FX1), low(SEGM0FX2),  low(SEGM0FX3), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0011), low(SEGM0011),  low(SEGM0011), low(SEGM0011)
  .db low(SEGM1100), low(SEGM1100),  low(SEGM1100), low(SEGM1100)
  .db low(SEGM1111), low(SEGM1111),  low(SEGM1111), low(SEGM1111)
  .db low(SEGM0000), low(SEGM0100),  low(SEGM1010), low(SEGM1010)
  .db low(SEGM0100), low(SEGM1010),  low(SEGM0100), low(SEGM0100)
  .db low(SEGM0100), low(SEGM0100),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0010)
  .db low(SEGM0100), low(SEGM0100),  low(SEGM1100), low(SEGM1100)
  .db low(SEGM1000), low(SEGM1110),  low(SEGM0100), low(SEGM1110)
  .db low(SEGM0100), low(SEGM0100),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM1100)
  .db low(SEGM0100), low(SEGM0100),  low(SEGM1100), low(SEGM0110)
  .db low(SEGM1100), low(SEGM1110),  low(SEGM1110), low(SEGM0110)
  .db low(SEGM1010), low(SEGM1110),  low(SEGM1110), low(SEGM1010)
  .db low(SEGM1000), low(SEGM1010),  low(SEGM1010), low(SEGM0100)
  .db low(SEGM1100), low(SEGM0100),  low(SEGM1100), low(SEGM0110)
  .db low(SEGM1110), low(SEGM1010),  low(SEGM1010), low(SEGM1010)
  .db low(SEGM1010), low(SEGM1010),  low(SEGM1110), low(SEGM0110)
  .db low(SEGM1000), low(SEGM1100),  low(SEGM0100), low(SEGM0000)
  .db low(SEGM0100), low(SEGM0000),  low(SEGM1000), low(SEGM0000)
  .db low(SEGM0010), low(SEGM0000),  low(SEGM0010), low(SEGM0000)
  .db low(SEGM1000), low(SEGM0100),  low(SEGM0100), low(SEGM1000)
  .db low(SEGM1100), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0100), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0010)
  .db low(SEGM0100), low(SEGM1000),  low(SEGM0110), low(SEGMABRT)

; segment 2
  .db low(SEGM0FXB), low(SEGM1BXF),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0FX1), low(SEGM0FX2),  low(SEGM0FX3), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0011), low(SEGM0011),  low(SEGM0011), low(SEGM0011)
  .db low(SEGM1100), low(SEGM1100),  low(SEGM1100), low(SEGM1100)
  .db low(SEGM1111), low(SEGM1111),  low(SEGM1111), low(SEGM1111)
  .db low(SEGM0000), low(SEGM0100),  low(SEGM1010), low(SEGM1010)
  .db low(SEGM0110), low(SEGM0010),  low(SEGM1010), low(SEGM1000)
  .db low(SEGM1000), low(SEGM0010),  low(SEGM0100), low(SEGM0100)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0010)
  .db low(SEGM1010), low(SEGM1100),  low(SEGM0010), low(SEGM0010)
  .db low(SEGM1010), low(SEGM1000),  low(SEGM1000), low(SEGM0010)
  .db low(SEGM1010), low(SEGM1010),  low(SEGM0100), low(SEGM0100)
  .db low(SEGM0010), low(SEGM0000),  low(SEGM1000), low(SEGM0010)
  .db low(SEGM1010), low(SEGM1010),  low(SEGM1010), low(SEGM1000)
  .db low(SEGM1010), low(SEGM1000),  low(SEGM1000), low(SEGM1000)
  .db low(SEGM1010), low(SEGM0100),  low(SEGM0100), low(SEGM1010)
  .db low(SEGM1000), low(SEGM1110),  low(SEGM1110), low(SEGM1010)
  .db low(SEGM1010), low(SEGM1010),  low(SEGM1010), low(SEGM1000)
  .db low(SEGM0100), low(SEGM1010),  low(SEGM1010), low(SEGM1010)
  .db low(SEGM1010), low(SEGM1010),  low(SEGM0010), low(SEGM0100)
  .db low(SEGM1000), low(SEGM0100),  low(SEGM1010), low(SEGM0000)
  .db low(SEGM0010), low(SEGM0000),  low(SEGM1000), low(SEGM0000)
  .db low(SEGM0010), low(SEGM0000),  low(SEGM0100), low(SEGM0000)
  .db low(SEGM1000), low(SEGM0000),  low(SEGM0000), low(SEGM1000)
  .db low(SEGM0100), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0100), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0100)
  .db low(SEGM0100), low(SEGM0100),  low(SEGM1100), low(SEGMABRT)

; segment 3
  .db low(SEGM0FXB), low(SEGM1BXF),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0FX1), low(SEGM0FX2),  low(SEGM0FX3), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0011), low(SEGM0011),  low(SEGM0011), low(SEGM0011)
  .db low(SEGM1100), low(SEGM1100),  low(SEGM1100), low(SEGM1100)
  .db low(SEGM1111), low(SEGM1111),  low(SEGM1111), low(SEGM1111)
  .db low(SEGM0000), low(SEGM0100),  low(SEGM0000), low(SEGM1110)
  .db low(SEGM1100), low(SEGM0100),  low(SEGM0100), low(SEGM0000)
  .db low(SEGM1000), low(SEGM0010),  low(SEGM1110), low(SEGM0100)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0100)
  .db low(SEGM1010), low(SEGM0100),  low(SEGM0010), low(SEGM0100)
  .db low(SEGM1010), low(SEGM1100),  low(SEGM1100), low(SEGM0010)
  .db low(SEGM0100), low(SEGM1010),  low(SEGM0100), low(SEGM0100)
  .db low(SEGM0100), low(SEGM1110),  low(SEGM0100), low(SEGM0100)
  .db low(SEGM1110), low(SEGM1010),  low(SEGM1100), low(SEGM1000)
  .db low(SEGM1010), low(SEGM1100),  low(SEGM1000), low(SEGM1000)
  .db low(SEGM1110), low(SEGM0100),  low(SEGM0100), low(SEGM1100)
  .db low(SEGM1000), low(SEGM1110),  low(SEGM1110), low(SEGM1010)
  .db low(SEGM1010), low(SEGM1010),  low(SEGM1010), low(SEGM0100)
  .db low(SEGM0100), low(SEGM1010),  low(SEGM1010), low(SEGM1010)
  .db low(SEGM0100), low(SEGM1010),  low(SEGM0100), low(SEGM0100)
  .db low(SEGM0100), low(SEGM0100),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0110),  low(SEGM1100), low(SEGM0110)
  .db low(SEGM0110), low(SEGM0100),  low(SEGM1110), low(SEGM0110)
  .db low(SEGM1100), low(SEGM1100),  low(SEGM1100), low(SEGM1010)
  .db low(SEGM0100), low(SEGM1100),  low(SEGM1100), low(SEGM0100)
  .db low(SEGM1100), low(SEGM0110),  low(SEGM1100), low(SEGM0110)
  .db low(SEGM1110), low(SEGM1010),  low(SEGM1010), low(SEGM1010)
  .db low(SEGM1010), low(SEGM1010),  low(SEGM1110), low(SEGM0100)
  .db low(SEGM0100), low(SEGM0100),  low(SEGM0000), low(SEGMABRT)

; segment 4
  .db low(SEGM0FXB), low(SEGM1BXF),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0FX1), low(SEGM0FX2),  low(SEGM0FX3), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0011),  low(SEGM1100), low(SEGM1111)
  .db low(SEGM0000), low(SEGM0011),  low(SEGM1100), low(SEGM1111)
  .db low(SEGM0000), low(SEGM0011),  low(SEGM1100), low(SEGM1111)
  .db low(SEGM0000), low(SEGM0011),  low(SEGM1100), low(SEGM1111)
  .db low(SEGM0000), low(SEGM0100),  low(SEGM0000), low(SEGM1010)
  .db low(SEGM0100), low(SEGM0100),  low(SEGM1010), low(SEGM0000)
  .db low(SEGM1000), low(SEGM0010),  low(SEGM0100), low(SEGM1110)
  .db low(SEGM0000), low(SEGM1110),  low(SEGM0000), low(SEGM0100)
  .db low(SEGM1010), low(SEGM0100),  low(SEGM0100), low(SEGM0010)
  .db low(SEGM1110), low(SEGM0010),  low(SEGM1010), low(SEGM0100)
  .db low(SEGM1010), low(SEGM0110),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM1000), low(SEGM0000),  low(SEGM0010), low(SEGM0100)
  .db low(SEGM1110), low(SEGM1110),  low(SEGM1010), low(SEGM1000)
  .db low(SEGM1010), low(SEGM1000),  low(SEGM1100), low(SEGM1010)
  .db low(SEGM1010), low(SEGM0100),  low(SEGM0100), low(SEGM1100)
  .db low(SEGM1000), low(SEGM1010),  low(SEGM1110), low(SEGM1010)
  .db low(SEGM1100), low(SEGM1010),  low(SEGM1100), low(SEGM0010)
  .db low(SEGM0100), low(SEGM1010),  low(SEGM1010), low(SEGM1110)
  .db low(SEGM0100), low(SEGM0100),  low(SEGM0100), low(SEGM0100)
  .db low(SEGM0100), low(SEGM0100),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM1010),  low(SEGM1010), low(SEGM1000)
  .db low(SEGM1010), low(SEGM1010),  low(SEGM0100), low(SEGM1010)
  .db low(SEGM1010), low(SEGM0100),  low(SEGM0100), low(SEGM1100)
  .db low(SEGM0100), low(SEGM1110),  low(SEGM1010), low(SEGM1010)
  .db low(SEGM1010), low(SEGM1010),  low(SEGM1010), low(SEGM1000)
  .db low(SEGM0100), low(SEGM1010),  low(SEGM1010), low(SEGM1010)
  .db low(SEGM0100), low(SEGM1010),  low(SEGM0100), low(SEGM1000)
  .db low(SEGM0100), low(SEGM0010),  low(SEGM0000), low(SEGMABRT)

; segment 5
  .db low(SEGM0FXB), low(SEGM1BXF),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0FX1), low(SEGM0FX2),  low(SEGM0FX3), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0011),  low(SEGM1100), low(SEGM1111)
  .db low(SEGM0000), low(SEGM0011),  low(SEGM1100), low(SEGM1111)
  .db low(SEGM0000), low(SEGM0011),  low(SEGM1100), low(SEGM1111)
  .db low(SEGM0000), low(SEGM0011),  low(SEGM1100), low(SEGM1111)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM1110)
  .db low(SEGM0110), low(SEGM1000),  low(SEGM1010), low(SEGM0000)
  .db low(SEGM1000), low(SEGM0010),  low(SEGM1110), low(SEGM0100)
  .db low(SEGM0100), low(SEGM0000),  low(SEGM0100), low(SEGM1000)
  .db low(SEGM1010), low(SEGM0100),  low(SEGM1000), low(SEGM0010)
  .db low(SEGM0010), low(SEGM0010),  low(SEGM1010), low(SEGM1000)
  .db low(SEGM1010), low(SEGM0010),  low(SEGM0100), low(SEGM0100)
  .db low(SEGM0100), low(SEGM1110),  low(SEGM0100), low(SEGM0000)
  .db low(SEGM1000), low(SEGM1010),  low(SEGM1010), low(SEGM1000)
  .db low(SEGM1010), low(SEGM1000),  low(SEGM1000), low(SEGM1010)
  .db low(SEGM1010), low(SEGM0100),  low(SEGM0100), low(SEGM1010)
  .db low(SEGM1000), low(SEGM1010),  low(SEGM1110), low(SEGM1010)
  .db low(SEGM1000), low(SEGM1110),  low(SEGM1100), low(SEGM0010)
  .db low(SEGM0100), low(SEGM1010),  low(SEGM0100), low(SEGM1110)
  .db low(SEGM1010), low(SEGM0100),  low(SEGM1000), low(SEGM0100)
  .db low(SEGM0010), low(SEGM0100),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM1010),  low(SEGM1010), low(SEGM1000)
  .db low(SEGM1010), low(SEGM1100),  low(SEGM0100), low(SEGM0110)
  .db low(SEGM1010), low(SEGM0100),  low(SEGM0100), low(SEGM1100)
  .db low(SEGM0100), low(SEGM1110),  low(SEGM1010), low(SEGM1010)
  .db low(SEGM1100), low(SEGM0110),  low(SEGM1000), low(SEGM0110)
  .db low(SEGM0100), low(SEGM1010),  low(SEGM0100), low(SEGM1110)
  .db low(SEGM0100), low(SEGM0110),  low(SEGM1000), low(SEGM0100)
  .db low(SEGM0100), low(SEGM0100),  low(SEGM0000), low(SEGMABRT)

; segment 6
  .db low(SEGM0FXB), low(SEGM1BXF),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0FX1), low(SEGM0FX2),  low(SEGM0FX3), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0011),  low(SEGM1100), low(SEGM1111)
  .db low(SEGM0000), low(SEGM0011),  low(SEGM1100), low(SEGM1111)
  .db low(SEGM0000), low(SEGM0011),  low(SEGM1100), low(SEGM1111)
  .db low(SEGM0000), low(SEGM0011),  low(SEGM1100), low(SEGM1111)
  .db low(SEGM0000), low(SEGM0100),  low(SEGM0000), low(SEGM1010)
  .db low(SEGM1100), low(SEGM1010),  low(SEGM0110), low(SEGM0000)
  .db low(SEGM0100), low(SEGM0100),  low(SEGM0100), low(SEGM0100)
  .db low(SEGM0100), low(SEGM0000),  low(SEGM0100), low(SEGM1000)
  .db low(SEGM0100), low(SEGM1110),  low(SEGM1110), low(SEGM1100)
  .db low(SEGM0010), low(SEGM1100),  low(SEGM0100), low(SEGM1000)
  .db low(SEGM0100), low(SEGM0100),  low(SEGM0100), low(SEGM0100)
  .db low(SEGM0010), low(SEGM0000),  low(SEGM1000), low(SEGM0100)
  .db low(SEGM0110), low(SEGM1010),  low(SEGM1100), low(SEGM0110)
  .db low(SEGM1100), low(SEGM1110),  low(SEGM1000), low(SEGM0110)
  .db low(SEGM1010), low(SEGM1110),  low(SEGM1000), low(SEGM1010)
  .db low(SEGM1110), low(SEGM1010),  low(SEGM1010), low(SEGM0100)
  .db low(SEGM1000), low(SEGM0110),  low(SEGM1010), low(SEGM1100)
  .db low(SEGM0100), low(SEGM0100),  low(SEGM0100), low(SEGM1010)
  .db low(SEGM1010), low(SEGM0100),  low(SEGM1110), low(SEGM0110)
  .db low(SEGM0010), low(SEGM1100),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0110),  low(SEGM1100), low(SEGM0110)
  .db low(SEGM0110), low(SEGM0110),  low(SEGM0100), low(SEGM0010)
  .db low(SEGM1010), low(SEGM1110),  low(SEGM0100), low(SEGM1010)
  .db low(SEGM1110), low(SEGM1110),  low(SEGM1010), low(SEGM0100)
  .db low(SEGM1000), low(SEGM0010),  low(SEGM1000), low(SEGM1100)
  .db low(SEGM0010), low(SEGM0110),  low(SEGM0100), low(SEGM1110)
  .db low(SEGM1010), low(SEGM0010),  low(SEGM1110), low(SEGM0100)
  .db low(SEGM0100), low(SEGM0100),  low(SEGM0000), low(SEGMABRT)

; segment 7
  .db low(SEGM0FXB), low(SEGM1BXF),  low(SEGM0FXB), low(SEGM1BXF)
  .db low(SEGM0FX1), low(SEGM0FX2),  low(SEGM0FX3), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0011),  low(SEGM1100), low(SEGM1111)
  .db low(SEGM0000), low(SEGM0011),  low(SEGM1100), low(SEGM1111)
  .db low(SEGM0000), low(SEGM0011),  low(SEGM1100), low(SEGM1111)
  .db low(SEGM0000), low(SEGM0011),  low(SEGM1100), low(SEGM1111)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM1010)
  .db low(SEGM0100), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM1000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM1000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM1110)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM1100)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM1000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM1000), low(SEGM0010),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM0000),  low(SEGM0000), low(SEGM0000)
  .db low(SEGM0000), low(SEGM1100),  low(SEGM0000), low(SEGM0010)
  .db low(SEGM0000), low(SEGM1000),  low(SEGM0000), low(SEGMABRT)

